Notifications

Get job notifications

POST
/notifications

Retrieve notifications for the authenticated user, filtered by notification names and/or job IDs.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

application/json
  1. body
id_task?|

List of batch job IDs to check notifications for.

Defaultnull
name_list*|array<string>|

Filters for specific notification type. If a single string is given, will be converted to a list.

Response Body

Successful Response

application/json
  1. response
[index: integer]?

Represents a single notification.

curl -X POST "https://example.com/notifications" \  -H "Content-Type: application/json" \  -d '{    "name_list": "string"  }'
[  {    "id": 0,    "name": "string",    "timestamp": 0,    "data": {}  }]